/****************************************Copyright (c)****************************************************
** 
**                                      
**
**--------------File Info---------------------------------------------------------------------------------
** File name:			main.c
** modified Date:  		2023-11-16
** Last Version:		  V1.3
** Descriptions:		  main 
** Author : xiao chen
** Historical Version :
** ƼоƬҵ----Ӧ÷ֲ
*********************************************************************************************************/
#include "HAL_conf.h"
#include "UART.h"
#include "sys.h"
#include "GPIO.h"

static __IO u32 TimingDelay;
void TimingDelay_Decrement(void);
void DelayMs(u16 nms);
extern u32 TK499_SYS_CLK;

/*******************************************************************************
* @name   : SysTick_Handler
* @brief  : SysTick Handler
* @param  : void
* @retval : void
*******************************************************************************/
void SysTick_Handler(void)
{
    if (TimingDelay != 0x00)
    {
        TimingDelay--;
    }
}
/*******************************************************************************
* @name   : DelayMs
* @brief  : delay ms
* @param  : nms
* @retval : void
*******************************************************************************/
void DelayMs(u16 nms)
{
    TimingDelay = nms;
    while(TimingDelay != 0);
}
/********************************************************************************************************
**Ϣ int main (void)                          
** 
** 
** 
********************************************************************************************************/
int main(void)
{
	RemapVtorTable();
	SystemClk_HSEInit(RCC_PLLMul_20);//PLLʱӣƵΪ12MHz*20=240MHz
//	AI_Responder_enable();// ʱע͵ԣbootloaderѴ򿪣Ƿ淽ʽпԲظ
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);//22ȫԺһ
	LED_Init();								   //LEDʼ
	UartInit(UART1,460800);      //ڳʼ460800
	printf(" welcome to use TK499!\r\n");
											
	SysTick_Config(TK499_SYS_CLK / 1000);//SysTickʼ

	// Configure the SysTick handler priority
	NVIC_SetPriority(SysTick_IRQn, 0);

	while(1)
	{
			GPIO_SetBits(GPIOD, GPIO_Pin_8); //PD8ߵƽLED
			DelayMs(500);
			GPIO_ResetBits(GPIOD, GPIO_Pin_8);//PD8͵ƽϨLED
			DelayMs(500);
	}
}



